from gtagger.file_explorer import FileExplorer
from gtagger.stats.stats_reporter import StatsReporter
from gtagger.stats.token_stats_calculator import TokenStatsCalculator
from gtagger.stats.document_analyzer import DocumentAnalyzer

class StatsCollector:
    def __init__(self, root_path):
        self.explorer = FileExplorer(root_path)
        self.explorer.traverse()
        self.stats_reporter = StatsReporter()
        self.token_stats = TokenStatsCalculator()
        self.document_analyzer = DocumentAnalyzer()

